package com.os.ems.info.mapper;

import java.util.List;
import com.os.ems.info.domain.UpsBatteryLifecycle;

/**
 * 行李系统UPS电池生命周期Mapper接口
 * 
 * @author Yinq
 * @date 2025-06-05
 */
public interface UpsBatteryLifecycleMapper 
{
    /**
     * 查询行李系统UPS电池生命周期
     * 
     * @param id 行李系统UPS电池生命周期主键
     * @return 行李系统UPS电池生命周期
     */
    public UpsBatteryLifecycle selectUpsBatteryLifecycleById(Long id);

    /**
     * 查询行李系统UPS电池生命周期列表
     * 
     * @param upsBatteryLifecycle 行李系统UPS电池生命周期
     * @return 行李系统UPS电池生命周期集合
     */
    public List<UpsBatteryLifecycle> selectUpsBatteryLifecycleList(UpsBatteryLifecycle upsBatteryLifecycle);

    /**
     * 新增行李系统UPS电池生命周期
     * 
     * @param upsBatteryLifecycle 行李系统UPS电池生命周期
     * @return 结果
     */
    public int insertUpsBatteryLifecycle(UpsBatteryLifecycle upsBatteryLifecycle);

    /**
     * 修改行李系统UPS电池生命周期
     * 
     * @param upsBatteryLifecycle 行李系统UPS电池生命周期
     * @return 结果
     */
    public int updateUpsBatteryLifecycle(UpsBatteryLifecycle upsBatteryLifecycle);

    /**
     * 删除行李系统UPS电池生命周期
     * 
     * @param id 行李系统UPS电池生命周期主键
     * @return 结果
     */
    public int deleteUpsBatteryLifecycleById(Long id);

    /**
     * 批量删除行李系统UPS电池生命周期
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteUpsBatteryLifecycleByIds(Long[] ids);
}
