package com.os.ems.info.service;

import java.util.List;
import com.os.ems.info.domain.PowerEnergySparePartsRegistration;

/**
 * 动力能源部行输科废旧备件登记Service接口
 * 
 * @author Yinq
 * @date 2025-06-06
 */
public interface IPowerEnergySparePartsRegistrationService 
{
    /**
     * 查询动力能源部行输科废旧备件登记
     * 
     * @param objid 动力能源部行输科废旧备件登记主键
     * @return 动力能源部行输科废旧备件登记
     */
    public PowerEnergySparePartsRegistration selectPowerEnergySparePartsRegistrationByObjid(Long objid);

    /**
     * 查询动力能源部行输科废旧备件登记列表
     * 
     * @param powerEnergySparePartsRegistration 动力能源部行输科废旧备件登记
     * @return 动力能源部行输科废旧备件登记集合
     */
    public List<PowerEnergySparePartsRegistration> selectPowerEnergySparePartsRegistrationList(PowerEnergySparePartsRegistration powerEnergySparePartsRegistration);

    /**
     * 新增动力能源部行输科废旧备件登记
     * 
     * @param powerEnergySparePartsRegistration 动力能源部行输科废旧备件登记
     * @return 结果
     */
    public int insertPowerEnergySparePartsRegistration(PowerEnergySparePartsRegistration powerEnergySparePartsRegistration);

    /**
     * 修改动力能源部行输科废旧备件登记
     * 
     * @param powerEnergySparePartsRegistration 动力能源部行输科废旧备件登记
     * @return 结果
     */
    public int updatePowerEnergySparePartsRegistration(PowerEnergySparePartsRegistration powerEnergySparePartsRegistration);

    /**
     * 批量删除动力能源部行输科废旧备件登记
     * 
     * @param objids 需要删除的动力能源部行输科废旧备件登记主键集合
     * @return 结果
     */
    public int deletePowerEnergySparePartsRegistrationByObjids(Long[] objids);

    /**
     * 删除动力能源部行输科废旧备件登记信息
     * 
     * @param objid 动力能源部行输科废旧备件登记主键
     * @return 结果
     */
    public int deletePowerEnergySparePartsRegistrationByObjid(Long objid);

    /**
     * 导入动力能源部行输科废旧备件登记数据
     *
     * @param registrationList 登记数据列表
     * @param isUpdateSupport 是否更新支持，如果已存在，则进行更新数据
     * @param operName 操作用户
     * @return 结果
     */
    public String importPowerEnergySparePartsRegistration(List<PowerEnergySparePartsRegistration> registrationList, Boolean isUpdateSupport, String operName);
}
