package com.os.mes.api.service;


import com.os.mes.api.domain.ERPParamDto;
import com.os.mes.api.domain.LatestSalary;
import com.os.mes.base.domain.BaseStaffInfo;
import com.os.mes.prod.domain.ProdOrderDetail;
import com.os.mes.record.domain.RecordStaffSalary;

import java.util.HashMap;
import java.util.List;

/**
 * ERP接口Service接口
 *
 * @author Yinq
 * @date 2024-05-10
 */
public interface IERPPortService {


    /**
     * 获取ERP订单接口
     * @param paramDto
     * @return
     */
    List<ProdOrderDetail> getERPOrderData(ERPParamDto paramDto);

    /**
     * 获取员工工资系数
     * @param paramDto
     * @return
     */
    List<BaseStaffInfo>  getERPEmployeeWageData(ERPParamDto paramDto);

    /**
     * 最新工资系数
     * @param paramDto
     * @return
     */
    LatestSalary getERPLatestSalaryData(ERPParamDto paramDto);

    /**
     * 新增【薪资明细】
     * @param recordStaffSalary
     * @return
     */
    String addSalaryBreakdown(RecordStaffSalary recordStaffSalary);

}
