package com.os.mes.base.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.os.common.annotation.Excel;
import com.os.common.core.domain.BaseEntity;

/**
 * 自定义数据维护对象 base_custom_data
 *
 * @author Yinq
 * @date 2024-05-10
 */
public class BaseCustomData extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键标识
     */
    private Long objId;

    /**
     * 自定义数据类型（0OS数据 1EMS数据）
     */
    @Excel(name = "自定义数据类型", readConverterExp = "0=OS数据,1=EMS数据")
    private String customType;

    /**
     * 自定义功能
     */
    @Excel(name = "自定义功能")
    private String customFunction;

    /**
     * 自定义编号
     */
    @Excel(name = "自定义编号")
    private String customCode;

    /**
     * 自定义数据
     */
    @Excel(name = "自定义数据")
    private String customData;

    /**
     * 排序
     */
    @Excel(name = "排序")
    private Long customSort;

    /**
     * 是否标识
     */
    @Excel(name = "是否标识")
    private String isFlag;

    public void setObjId(Long objId) {
        this.objId = objId;
    }

    public Long getObjId() {
        return objId;
    }

    public void setCustomType(String customType) {
        this.customType = customType;
    }

    public String getCustomType() {
        return customType;
    }

    public void setCustomFunction(String customFunction) {
        this.customFunction = customFunction;
    }

    public String getCustomFunction() {
        return customFunction;
    }

    public void setCustomCode(String customCode) {
        this.customCode = customCode;
    }

    public String getCustomCode() {
        return customCode;
    }

    public void setCustomData(String customData) {
        this.customData = customData;
    }

    public String getCustomData() {
        return customData;
    }

    public void setCustomSort(Long customSort) {
        this.customSort = customSort;
    }

    public Long getCustomSort() {
        return customSort;
    }

    public void setIsFlag(String isFlag) {
        this.isFlag = isFlag;
    }

    public String getIsFlag() {
        return isFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("objId", getObjId())
                .append("customType", getCustomType())
                .append("customFunction", getCustomFunction())
                .append("customCode", getCustomCode())
                .append("customData", getCustomData())
                .append("customSort", getCustomSort())
                .append("remark", getRemark())
                .append("isFlag", getIsFlag())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
