package com.os.mes.base.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.os.common.annotation.Excel;
import com.os.common.core.domain.BaseEntity;

/**
 * 设备台账对象 base_device_ledger
 * 
 * @author Yinq
 * @date 2024-05-10
 */
public class BaseDeviceLedger extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键标识 */
    private Long objId;

    /** 设备编号 */
    @Excel(name = "设备编号")
    private String deviceCode;

    /** 设备名称 */
    @Excel(name = "设备名称")
    private String deviceName;

    /** 设备型号 */
    @Excel(name = "设备型号")
    private String deviceModel;

    /** 设备类型（1生产设备 2计量设备） */
    @Excel(name = "设备类型", readConverterExp = "1=生产设备,2=计量设备")
    private String deviceType;

    /** IP地址 */
    @Excel(name = "IP地址")
    private String deviceAddress;

    /** 设备状态（0使用 1停用 2报废） */
    @Excel(name = "设备状态", readConverterExp = "0=使用,1=停用,2=报废")
    private String deviceStatus;

    /** 使用部门 */
    @Excel(name = "使用部门")
    private String usedDepartment;

    /** 成本中心 */
    @Excel(name = "成本中心")
    private String costCenter;

    /** 生产厂商 */
    @Excel(name = "生产厂商")
    private String manufacturer;

    /** 启用日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "启用日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date enableDate;

    /** 所属工位编号 */
    @Excel(name = "所属工位编号")
    private String productLineCode;

    /** 所属工位名称 */
    @Excel(name = "所属工位名称")
    private String productLineName;

    /** 启用标识 */
    @Excel(name = "启用标识")
    private String isFlag;

    /** 工厂编号 */
    @Excel(name = "工厂编号")
    private String factoryCode;

    /** 班组编号 */
    @Excel(name = "班组编号")
    private String teamCode;

    /** 资产编号 */
    @Excel(name = "资产编号")
    private String assetCode;

    public String getProductLineName() {
        return productLineName;
    }

    public void setProductLineName(String productLineName) {
        this.productLineName = productLineName;
    }

    public void setObjId(Long objId)
    {
        this.objId = objId;
    }

    public Long getObjId() 
    {
        return objId;
    }
    public void setDeviceCode(String deviceCode) 
    {
        this.deviceCode = deviceCode;
    }

    public String getDeviceCode() 
    {
        return deviceCode;
    }
    public void setDeviceName(String deviceName) 
    {
        this.deviceName = deviceName;
    }

    public String getDeviceName() 
    {
        return deviceName;
    }
    public void setDeviceModel(String deviceModel) 
    {
        this.deviceModel = deviceModel;
    }

    public String getDeviceModel() 
    {
        return deviceModel;
    }
    public void setDeviceType(String deviceType) 
    {
        this.deviceType = deviceType;
    }

    public String getDeviceType() 
    {
        return deviceType;
    }
    public void setDeviceAddress(String deviceAddress) 
    {
        this.deviceAddress = deviceAddress;
    }

    public String getDeviceAddress() 
    {
        return deviceAddress;
    }
    public void setDeviceStatus(String deviceStatus) 
    {
        this.deviceStatus = deviceStatus;
    }

    public String getDeviceStatus() 
    {
        return deviceStatus;
    }
    public void setUsedDepartment(String usedDepartment) 
    {
        this.usedDepartment = usedDepartment;
    }

    public String getUsedDepartment() 
    {
        return usedDepartment;
    }
    public void setCostCenter(String costCenter) 
    {
        this.costCenter = costCenter;
    }

    public String getCostCenter() 
    {
        return costCenter;
    }
    public void setManufacturer(String manufacturer) 
    {
        this.manufacturer = manufacturer;
    }

    public String getManufacturer() 
    {
        return manufacturer;
    }
    public void setEnableDate(Date enableDate) 
    {
        this.enableDate = enableDate;
    }

    public Date getEnableDate() 
    {
        return enableDate;
    }
    public void setProductLineCode(String productLineCode) 
    {
        this.productLineCode = productLineCode;
    }

    public String getProductLineCode() 
    {
        return productLineCode;
    }
    public void setIsFlag(String isFlag) 
    {
        this.isFlag = isFlag;
    }

    public String getIsFlag() 
    {
        return isFlag;
    }
    public void setFactoryCode(String factoryCode) 
    {
        this.factoryCode = factoryCode;
    }

    public String getFactoryCode() 
    {
        return factoryCode;
    }
    public void setTeamCode(String teamCode) 
    {
        this.teamCode = teamCode;
    }

    public String getTeamCode() 
    {
        return teamCode;
    }
    public void setAssetCode(String assetCode) 
    {
        this.assetCode = assetCode;
    }

    public String getAssetCode() 
    {
        return assetCode;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("objId", getObjId())
            .append("deviceCode", getDeviceCode())
            .append("deviceName", getDeviceName())
            .append("deviceModel", getDeviceModel())
            .append("deviceType", getDeviceType())
            .append("deviceAddress", getDeviceAddress())
            .append("deviceStatus", getDeviceStatus())
            .append("usedDepartment", getUsedDepartment())
            .append("costCenter", getCostCenter())
            .append("manufacturer", getManufacturer())
            .append("enableDate", getEnableDate())
            .append("productLineCode", getProductLineCode())
            .append("isFlag", getIsFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("factoryCode", getFactoryCode())
            .append("teamCode", getTeamCode())
            .append("assetCode", getAssetCode())
            .toString();
    }
}
