package com.os.mes.base.service;

import java.util.List;

import com.os.mes.base.domain.BaseCustomData;

/**
 * 自定义数据维护Service接口
 *
 * @author Yinq
 * @date 2024-05-10
 */
public interface IBaseCustomDataService {
    /**
     * 查询自定义数据维护
     *
     * @param objId 自定义数据维护主键
     * @return 自定义数据维护
     */
    public BaseCustomData selectBaseCustomDataByObjId(Long objId);

    /**
     * 查询自定义数据维护列表
     *
     * @param baseCustomData 自定义数据维护
     * @return 自定义数据维护集合
     */
    public List<BaseCustomData> selectBaseCustomDataList(BaseCustomData baseCustomData);

    /**
     * 新增自定义数据维护
     *
     * @param baseCustomData 自定义数据维护
     * @return 结果
     */
    public int insertBaseCustomData(BaseCustomData baseCustomData);

    /**
     * 修改自定义数据维护
     *
     * @param baseCustomData 自定义数据维护
     * @return 结果
     */
    public int updateBaseCustomData(BaseCustomData baseCustomData);

    /**
     * 批量删除自定义数据维护
     *
     * @param objIds 需要删除的自定义数据维护主键集合
     * @return 结果
     */
    public int deleteBaseCustomDataByObjIds(Long[] objIds);

    /**
     * 删除自定义数据维护信息
     *
     * @param objId 自定义数据维护主键
     * @return 结果
     */
    public int deleteBaseCustomDataByObjId(Long objId);
}
